## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 24
%bcond_without check
%global debug_package %{nil}

%global crate tabled

Name:           rust-tabled
Version:        0.12.0
Release:        %autorelease
Summary:        Easy to use library for pretty print tables of Rust structs and enums

License:        MIT
URL:            https://crates.io/crates/tabled
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# disable table_width_2 example, requires file from github not in shipped crate
Patch:          tabled-fix-metadata.diff

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
An easy to use library for pretty print tables of Rust `struct`s and
`enum`s.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+ansi-str-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+ansi-str-devel %{_description}

This package contains library source intended for building other packages which
use the "ansi-str" feature of the "%{crate}" crate.

%files       -n %{name}+ansi-str-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+ansitok-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+ansitok-devel %{_description}

This package contains library source intended for building other packages which
use the "ansitok" feature of the "%{crate}" crate.

%files       -n %{name}+ansitok-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+color-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+color-devel %{_description}

This package contains library source intended for building other packages which
use the "color" feature of the "%{crate}" crate.

%files       -n %{name}+color-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+derive-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+derive-devel %{_description}

This package contains library source intended for building other packages which
use the "derive" feature of the "%{crate}" crate.

%files       -n %{name}+derive-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+macros-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+macros-devel %{_description}

This package contains library source intended for building other packages which
use the "macros" feature of the "%{crate}" crate.

%files       -n %{name}+macros-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages which
use the "std" feature of the "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+tabled_derive-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+tabled_derive-devel %{_description}

This package contains library source intended for building other packages which
use the "tabled_derive" feature of the "%{crate}" crate.

%files       -n %{name}+tabled_derive-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
# requires file from github not in shipped crate
rm examples/table_width_2.rs
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Mon Jan 15 2024 Arkady L. Shane <tigro@msvsphere-os.ru> - 0.12.0-2
- Rebuilt for MSVSphere 9.3

* Sun May 21 2023 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.12.0-2
- Disable example that requires unshipped file

* Sun May 21 2023 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.12.0-1
- Update to 0.12.0

* Fri Feb 17 2023 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.10.0-2
- Revert dependency bump for ansi-str

* Fri Feb 17 2023 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.10.0-1
- Initial Fedora package
